#ifndef LIBSARIA_TRACK_H
#define LIBSARIA_TRACK_H

#include <libsaria/tags.h>
#include <sys/types.h>

class Track
{
	private:
		ino_t inode;
		TrackTag *tags;

	public:
		Track();
		Track(ino_t, TrackTag *);
		~Track();

		ino_t get_inode();
		unsigned int get_track();
		string get_title();
		string get_lenstr();
		string get_artist();
		string get_album();
		unsigned int get_year();
};

#endif /* LIBSARIA_TRACK_H */
